//
//  Telephony.swift
//  taboola_sdk
//
//  Created by Daniel Frimet on 20/04/2023.
//

import Foundation
import CoreTelephony


public class Telephony: NSObject {
    

    public func getIsoCountryCode() -> String? {
        if #available(iOS 12.0, *) {
            let networkProviders = CTTelephonyNetworkInfo().serviceSubscriberCellularProviders
            let countryCode = networkProviders?.first?.value.isoCountryCode ?? nil
            
            return countryCode
        } else {
            return nil
        }
    }
    
}
