class TaboolaPackageInfoData {
  TaboolaPackageInfoData({
    required this.appName,
    required this.packageName,
    required this.version,
  });

  /// `CFBundleDisplayName/CFBundleName` iOS, `application/label` Android.
  final String appName;

  /// `bundleIdentifier` iOS, `getPackageName` Android.
  final String packageName;

  /// `CFBundleShortVersionString` iOS, `versionName` Android.
  final String version;

}