package com.taboola.flutter;
import android.content.Context;
import android.telephony.TelephonyManager;


public class Telephony {
    private final TelephonyManager mTelephonyManager;
    public Telephony(Context context) {
        mTelephonyManager = (TelephonyManager) context.getSystemService(Context.TELEPHONY_SERVICE);

    }

    public String getIsoCountryCode() {
        String simCountryIso = mTelephonyManager.getSimCountryIso();
        if (simCountryIso == null) return "null";
        return simCountryIso;
    }


}
