import 'package:taboola_sdk/taboola.dart';

import 'package:taboola_sdk/utils/text_utils.dart';

class Logger {
  //Log levels as known by MobileLoader, Android & iOS SDKs
  static const int LOG_LEVEL_ERROR = 6;
  static const int LOG_LEVEL_WARN = 5;
  static const int LOG_LEVEL_INFO = 4;
  static const int LOG_LEVEL_DEBUG = 3;
  static const int LOG_LEVEL_VERBOSE = 2;

  static bool taboolaLogsEnabled = false;

  static void log(String string) {  //TODO: flesh out actual log level spectrum
    if (!taboolaLogsEnabled){
      return;
    }

    if (TextUtils.isEmptyOrNull(string)){
      return;
    }

    print(string);
  }

  static void logException(String exception) {
    log('Caught Exception | $exception}');
  }

}